Update redline members
curl --request PUT \
--url https://formable-production.up.railway.app/api/v0/redline-requests/{redlineRequestId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"members": [
{
"email": "member@example.com",
"displayName": "John Doe"
}
]
}
'import requests
url = "https://formable-production.up.railway.app/api/v0/redline-requests/{redlineRequestId}/members"
payload = { "members": [
{
"email": "member@example.com",
"displayName": "John Doe"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({members: [{email: 'member@example.com', displayName: 'John Doe'}]})
};
fetch('https://formable-production.up.railway.app/api/v0/redline-requests/{redlineRequestId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"members": [
{
"email": "jsmith@example.com",
"displayName": "<string>"
}
]
}{
"error": "templateId is required"
}{
"error": "Auth token not valid"
}{
"error": "Client not authorized to perform this action"
}{
"error": "Resource not found for id abc123xyz"
}{
"error": "Internal server error"
}Redlining
Update redline members
Replaces or upserts the members for an existing redline request. Each member must have an email, displayName, and role.
PUT
/
v0
/
redline-requests
/
{redlineRequestId}
/
members
Update redline members
Authorizations
OAuth 2.0 client credentials access token, passed as a Bearer token in the Authorization header.
Path Parameters
The ID of the redline request to update members for.
Body
application/json
Array of members to set for the redline request (replaces existing).
Minimum array length:
1Show child attributes
Show child attributes
Response
Redline members updated successfully.
The updated list of redline members.
Show child attributes
Show child attributes
⌘I